<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: discover_bus_map Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<h1>discover_bus_map Struct Reference<br>
<small>
[<a class="el" href="group__types.html">Types</a>]</small>
</h1><code>#include &lt;<a class="el" href="discover_8h-source.html">discover.h</a>&gt;</code>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdiscover__bus__map.html#o0">name</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdiscover__bus__map.html#o1">scan_default</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdiscover__bus__map.html#o2">scan_never</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga13">discover_sysdep_raw_func_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdiscover__bus__map.html#o3">get_raw</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Bus scanning information is loaded from the config file. The scan_default member may be set to 0 to avoid scanning a specified bus. If the scan_never flag is set, the bus will never be scanned; this behavior is controlled from the config file.<p>
The function pointer exists to allow client code to override the sysdeps; it is used by the unit tests provided with Discover. 
<p>

<p>
Definition at line <a class="el" href="discover_8h-source.html#l00178">178</a> of file <a class="el" href="discover_8h-source.html">discover.h</a>.<hr><h2>Field Documentation</h2>
<a class="anchor" name="o3" doxytag="discover_bus_map::get_raw"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga13">discover_sysdep_raw_func_t</a>* <a class="el" href="structdiscover__bus__map.html#o3">discover_bus_map::get_raw</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Function pointer that will acquire data 
<p>
Definition at line <a class="el" href="discover_8h-source.html#l00186">186</a> of file <a class="el" href="discover_8h-source.html">discover.h</a>.
<p>
Referenced by <a class="el" href="sysdep_8c-source.html#l00206">discover_get_devices()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="o0" doxytag="discover_bus_map::name"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">char* <a class="el" href="structdiscover__bus__map.html#o0">discover_bus_map::name</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Human-readable name 
<p>
Definition at line <a class="el" href="discover_8h-source.html#l00180">180</a> of file <a class="el" href="discover_8h-source.html">discover.h</a>.
<p>
Referenced by <a class="el" href="conf_8c-source.html#l00666">discover_conf_get_bus_name()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="o1" doxytag="discover_bus_map::scan_default"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">int <a class="el" href="structdiscover__bus__map.html#o1">discover_bus_map::scan_default</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Boolean (sort of) defining the bus's default behavior 
<p>
Definition at line <a class="el" href="discover_8h-source.html#l00182">182</a> of file <a class="el" href="discover_8h-source.html">discover.h</a>.    </td>
  </tr>
</table>
<a class="anchor" name="o2" doxytag="discover_bus_map::scan_never"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">int <a class="el" href="structdiscover__bus__map.html#o2">discover_bus_map::scan_never</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Never scan this bus if true 
<p>
Definition at line <a class="el" href="discover_8h-source.html#l00184">184</a> of file <a class="el" href="discover_8h-source.html">discover.h</a>.
<p>
Referenced by <a class="el" href="sysdep_8c-source.html#l00206">discover_get_devices()</a>.    </td>
  </tr>
</table>
<hr>The documentation for this struct was generated from the following file:<ul>
<li>/home/pere/src/debiancvs/pkg-discover/discover/trunk/include/discover/<a class="el" href="discover_8h-source.html">discover.h</a></ul>
<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:01 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
